{% extends 'base.html' %}
{% load i18n %}
{% load crispy_forms_tags %}
{% load crispy_forms_filters %}

{% block add-content %}
    <h2>
        {% block title %}
            {% translate 'réservation' as title %}
            {{ title|title }}
        {% endblock title %}
    </h2>
    {% block error %}
    {% endblock %}
    <div class="row">
        <div class="col-md-6">
            <div class="card card-light">
                {% block information %}
                    <div class="card-header">
                        <a href="{% url 'bookings:booking-update' pk=booking.pk %}"
                           class="btn btn-sm btn-primary pull-end">
                            <span class="fa-solid fa-pen-to-square"></span>
                        </a>
                        <h3 class="card-title">
                            <span class="fa-solid fa-rectangle-list"></span> {% translate 'Informations' %}
                        </h3>
                    </div>
                    <div class="list-group">
                        <div class="list-group-item">
                            <span class="fa-solid fa-user"></span> {{ booking.contact_full_name }}
                        </div>
                        <div class="list-group-item">
                            <span class="fa-solid fa-envelope"></span> {{ booking.contact_email }}
                        </div>
                        <div class="list-group-item">
                            <span class="fa-solid fa-phone"></span> {{ booking.contact_phone }}
                        </div>
                        {% if booking.contact_asso %}
                            <div class="list-group-item">
                                <span class="fa-solid fa-briefcase"></span> {{ booking.contact_asso }}
                            </div>
                        {% endif %}
                        <div class="list-group-item">
                            <span class="fa-solid fa-circle-info"></span> {{ booking.reason }}
                        </div>
                        {% if booking.details %}
                            <div class="list-group-item">
                                <span class="fa-solid fa-message"></span> {{ booking.details|linebreaks }}
                            </div>
                        {% endif %}
                    </div>
                {% endblock information %}
            </div>
            {% if booking.occurrences.count > 0 and booking_form %}
                <h3>Fiches de location</h3>
                <form method="post" target="_blank">
                    {{ booking_form.media }}
                    {% csrf_token %}
                    {{ booking_form|crispy }}
                    <button type="submit" class="btn btn-primary btn-block">
                        {% translate 'Éditer la fiche de location' %}
                    </button>
                </form>

            {% endif %}
        </div>
        {% block occurrences %}
            <div class="col-md-6">
                {% block start_form %}
                    <form>
                {% endblock start_form %}
                <div class="card card-light">
                    {% block occurrence_form %}
                        <div class="card-header">
                            {% if perms.bookings.add_bookingoccurrence %}
                                <a href="{% url 'bookings:occurrence-new' booking_pk=booking.id %}"
                                   class="btn btn-sm btn-success pull-end">
                                    <span class="fa-solid fa-plus"></span>
                                </a>
                            {% endif %}
                            <h3 class="card-title"><span
                                    class="fa-solid fa-calendar"></span> {% translate 'Occurrences' %}
                            </h3>
                        </div>
                    {% endblock occurrence_form %}

                    <div class="list-group">
                        {% for occ in occurrences %}
                            {% if perms.bookings.change_bookingoccurrence %}
                                <a href="{% url 'bookings:occurrence-edit' booking_pk=booking.pk pk=occ.pk %}"
                                   class="list-group-item{% if occ == current_occurrence %} active{% endif %}">
                            {% else %}
                                <div class="list-group-item">
                            {% endif %}

                        <span class="fa-solid fa-clock"></span>

                        {{ occ.resources_names|join:', ' }} : {{ occ.str_dates|capfirst }}

                        <span class="badge">{{ occ.get_resources_count }}</span>

                        {% if perms.bookings.change_bookingoccurrence %}
                            </a>
                        {% else %}
                            </div>
                        {% endif %}
                        {% endfor %}
                    {% if occurrences.has_other_pages %}
                        <div class="list-group-item">

                            <nav>
                                <ul class="pagination">
                                    <li class="{% if occurrences.has_previous == False %}disabled{% endif %}">
                                        <a href="?occ_page={{ occurrences.number|add:'-1' }}">&laquo;</a>
                                    </li>

                                    {% for page in occurrences.paginator.page_range %}
                                        <li class="{% if page == occurrences.number %}active{% endif %}">
                                            <a href="?occ_page={{ page }}">{{ page }}</a>
                                        </li>
                                    {% endfor %}

                                    <li class="{% if occurrences.has_next == False %}disabled{% endif %}">
                                        <a href="?occ_page={{ occurrences.number|add:'1' }}">&raquo;</a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    {% endif %}
                </div>
                {% block end_form %}
                    </form>
                {% endblock end_form %}
            </div>
        {% endblock occurrences %}
    </div>

{% endblock add-content %}
